Subject: Re: Poison Ivy (was Re: Posion oak)

From: [email-masked] (artemis)
Date: 10 Jan 1995 14:09:48 GMT

In article <[email-masked]>,
 <[email-masked]> wrote:
>
>Jewelweed, also called Touch-Me-Not(though it is not a true TMN), is a wild
>relative of the true cultivated "Touch-me-not".  It thrives on most soils,
>but prefers moist locations.  It blooms around labor day here(NC), and the
>seed pods, when fully ripe, ejects it seeds with an explosive force when
>touched.  The energy is stored in spring-like structure in the seed pod.
>
>The flowers are either an orange or yellow, based on factors I am not aware
>of.  The flower is shaped simialr to a flower from a snap-dragon spike. 
>Yellow only grows in the mountains.  As one could image, kids love to play
>with it.
>
>It does not help with poison ivy.

Minor nit.

>From  my hazy memory, so this could be entirely wrong, Jewelweed
contains an analog to a corticosteroid and is beneficial in reducing
swelling, as well as an agent that will neutralize the urushoil.

In my experience, it does not make it entirely go away, but it has
moderate effect on the irritation, and I've never had a rash develop
when I've rubbed suspected area with it :-)

-- 
Anmar Mirza   # Chief of Tranquility  # I'm a cheap date, 
EMT-D N9ISY   # Base, Lawrence Co. IN # but an expensive pet.
Sawyer        # Somewhere out on the  # EOL
Networks Tech.# Mirza Ranch. DoD#1143 # My views, not the U's